package com.xintong.visualinspection.visuallnspection_qzd.dao;

import com.xintong.visualinspection.bean.FwqCheckTask;
import com.xintong.visualinspection.bean.TaskStatus;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 文件名：FwqTaskDao
 * 版本信息：日期：2018/4/11 Copyright 江苏省交通规划设计院 Corporation 2018 版权所有.
 */
@Mapper
public interface FwqTaskDao {
    public void addtask(FwqCheckTask fwqCheckTask);
    public List<FwqCheckTask> getall(FwqCheckTask fwqCheckTask);
    public void updateStatus(FwqCheckTask fwqCheckTask);
    public FwqCheckTask getone(FwqCheckTask fwqCheckTask);
    public void insertStatus(TaskStatus taskStatus);
    public void insertStatusBatch(List<TaskStatus> taskStatusList);
    public List<TaskStatus> getTaskStatusList(Long id);
}
